project/src/Entity/Agenda.php
<?php

namespace App\Entity;

use App\Repository\AgendaRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: AgendaRepository::class)]
class Agenda
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: 'integer')]
    private $id;

    #[ORM\Column(type: 'string', length: 255)]
    private $periode;

    #[ORM\Column(type: 'datetime')]
    private $date;

    #[ORM\Column(type: 'string', length: 255)]
    private $localisation;

    #[ORM\Column(type: 'boolean')]
    private $is_followed;

    #[ORM\Column(type: 'string', length: 255)]
    private $name;

    #[ORM\Column(type:"text", length:65535)]
    private $description;

    #[ORM\Column(type: 'string', length: 255)]
    private $photo;

    #[ORM\Column(type: 'string', length: 255)]
    private $event_type;

    #[ORM\Column(type:"text", length:65535)]
    private $mot_organisateur;

    #[ORM\Column(type: 'string', length: 255)]
    private $plan;

     #[ORM\Column(type: 'boolean')]
    private $is_in_home_page;

     #[ORM\ManyToOne(targetEntity: Periode::class, inversedBy: 'agendas')]
     private $period;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPeriode(): ?string
    {
        return $this->periode;
    }

    public function setPeriode(string $periode): self
    {
        $this->periode = $periode;

        return $this;
    }

    public function getDate(): ?\DateTimeInterface
    {
        return $this->date;
    }

    public function setDate(\DateTimeInterface $date): self
    {
        $this->date = $date;

        return $this;
    }

    public function getLocalisation(): ?string
    {
        return $this->localisation;
    }

    public function setLocalisation(string $localisation): self
    {
        $this->localisation = $localisation;

        return $this;
    }

    public function getIsFollowed(): ?bool
    {
        return $this->is_followed;
    }

    public function setIsFollowed(bool $is_followed): self
    {
        $this->is_followed = $is_followed;

        return $this;
    }

    public function getIsInHomePage(): ?bool
    {
        return $this->is_in_home_page;
    }

    public function setIsInHomePage(bool $is_in_home_page): self
    {
        $this->is_in_home_page = $is_in_home_page;

        return $this;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function getPhoto(): ?string
    {
        return $this->photo;
    }

    public function setPhoto(string $photo): self
    {
        $this->photo = $photo;

        return $this;
    }

    public function getEventType(): ?string
    {
        return $this->event_type;
    }

    public function setEventType(string $event_type): self
    {
        $this->event_type = $event_type;

        return $this;
    }

    public function getMotOrganisateur(): ?string
    {
        return $this->mot_organisateur;
    }

    public function setMotOrganisateur(string $mot_organisateur): self
    {
        $this->mot_organisateur = $mot_organisateur;

        return $this;
    }

    public function getPlan(): ?string
    {
        return $this->plan;
    }

    public function setPlan(string $plan): self
    {
        $this->plan = $plan;

        return $this;
    }

    public function getPeriod(): ?Periode
    {
        return $this->period;
    }

    public function setPeriod(?Periode $period): self
    {
        $this->period = $period;

        return $this;
    }
}

project/src/Controller/AgendaController.php
<?php

namespace App\Controller;

use App\Repository\AgendaRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Knp\Component\Pager\PaginatorInterface;

class AgendaController extends AbstractController
{
    #[Route('/agenda', name: 'agenda')]
    public function index(Request $request,
                          AgendaRepository $agendaRepository,
                          PaginatorInterface $paginator): Response
    {
        $periode = $request->query->get('periode',null);
        $key  = $request->query->get('key',null);
        $localisation  = $request->query->get('localisation',null);
        $date  = $request->query->get('date',null);
                
        $data = $agendaRepository->getSearchAgenda($periode, $key, $localisation, $date);

        $agendas = $paginator->paginate(
        $data, // Requête contenant les données à paginer (ici nos projets)
        $request->query->getInt('page', 1), // Numéro de la page en cours, passé dans l'URL, 1 si aucune page
            3// Nombre de résultats par page
        );
        return $this->render('agenda/agenda.html.twig', [
            'agendas' => $agendas,
            'controller_name' => 'AgendaController',
        ]);
    }

    #[Route('/agenda/{id}', name: 'agendaDetails')]
    public function displayAgenda( AgendaRepository $agendaRepository, $id)
    {
        $agendaDetails   = $agendaRepository->findOneById($id);
        return $this->render('agenda/agendaDetails.html.twig', [
            'agendaDetails'    => $agendaDetails 
        ]);
    }
}

project/templates/agenda/agenda.html.twig
{% extends 'base.html.twig' %}
{% block title %}Agenda{% endblock %}
{% block body %}
<br>
<div class="container">
   <div class="card text-center" >
      <div class="card-header" style="color: #ce5c2e;">
         Rechercher un événement
      </div>
      <form method="GET" action="{{ path('agenda') }}">
         <div class="card-body">
            <div class="row">
               <div class="col">
                   <label for="">Quelle période ?</label>
                   <select name="periode" class="form-control">
                        <option value="">Choisir</option>
                       <option value="PREHISTOIRE">La Préhistoire</option>
                       <option value="ANTIQUITE">L’ Antiquité</option>
                       <option value="MOYEN_AGE">Le Moyen-Age</option>
                       <option value="TEMPS_MODERN">Les Temps modernes</option>
                       <option value="EPOQUE_CONTEMPORAINE" >L'Époque Contemporaine</option>
                   </select>
               </div>
               <div class="col">
                  <label for="">Date de l'événement</label>
                  <div class="form-group">
                     <input type="datetime-local"  class="form-control" id="meeting-time"
                        name="meeting-time" value="2018-06-12T19:30" name="date">
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col">
                  <label for="">Ou ?</label>
                  <input type="text" value="" class="form-control" name="localisation" id="" placeholder="Choisir">
               </div>
               <div class="col">
                  <label for="">Mot clé</label>
                  <input type="text" name="key" value="" class="form-control" id="" placeholder="ecrire">
               </div>
            </div>
            <br>
            <div class="row">
               <input type="submit" class="search-bouton" value ="Rechercher">
            </div>
         </div>
      </form>
   </div>
   <!--Fin recherche-->
   <div class="">
      <div style="font-size: x-large; margin: 15px;">
         <p> Les coup de coeur</p>
      </div>
      {% for agenda in agendas %}
      <div class="box-item">
         <div class="row">
            <div class="col-8">
               <a href="{{ path('agendaDetails',{'id':agenda.id}) }}"><strong>{{agenda.name}}</strong></a>
               <p>
               <p>
                  {{agenda.description |raw }}
               </p>
            </div>
            <div class="col-4">
               <img style= "width: 100%;height: 100%" src ="upload/images/agenda/{{agenda.photo}}">
            </div>
         </div>
         <br>
         <div class="row">
            <span class="little-text">Période:{{agenda.periode}}  Spécialité: {{agenda.eventType}} Localisation: {{agenda.localisation}}  Date: {{agenda.date|date('Y-m-d')}} </span>
         </div>
         <br>
         <div class="row">
            <a href="#" class="main-button-slider">Ajouter au favori</a>&nbsp;&nbsp;
            <a href="#" class="main-button">Voir plus</a>
         </div>
      </div>
      {% endfor %}
      <div class="pagination-section">
         {{ knp_pagination_render(agendas) }}
      </div>
      <br>
   </div>
</div>
{% endblock %}

project/templates/agenda/agendaDetails.html.twig
{% extends 'base.html.twig' %}
{% block title %}Détails{% endblock %}
{% block body %}
    <br>
        <div class="container">
            <div class="card text-center">
                <div class="card-body">
                    <div class="container">
                        <div class="row">
                            <strong> {{agendaDetails.name}} </strong>
                        </div>
                        <br>
                        <div class="row">
                            <img style= "" src ="/upload/images/agenda/{{agendaDetails.photo}}">
                        </div>
                        <div class="row">
                            <p>
                                {{agendaDetails.description |raw}}
                            </p>
                        </div>
                        <div class="back">
                            <a href="/agenda"> < Retour à la liste</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <br>
{% endblock %}